function RefreshImageListItem(index,item,newState){
	if(item.GetID()=="id_imageitem"){
		var bShow=false;
		if(index>=0){
			var state=newState.toLowerCase();
			if(state=="in"||state=="insel"){
				bShow=true;
			}
		}
//		println(">>>>>>>>>>RefreshImageListItem");
		item.id_play.ShowCtrl(bShow);
	}
}
Imagepanel_localmusic.OnItemMouseStateChanged=RefreshImageListItem;

function SKIN_OnWndVisibleChanged(pWndCtrl)
{
    if (pWndCtrl.GetID() == "wnd_devicemanager")
    {
        var ps = box_LocalMgr.GetPlaceSet();
//		println("SKIN_OnWndVisibleChanged");
        var place = ps.rect;
        var size = ps.size;
        var align = ps.align;
        var zIndex = ps.zIndex;
        if (pWndCtrl.IsVisible())
        {
            var psDMWnd = pWndCtrl.GetPlaceSet();
            var placeDMWnd = psDMWnd.rect;
            var sizeDMWnd = psDMWnd.size;
            place.right = placeDMWnd.right + sizeDMWnd.cx;
        }
        else
        {
            place.right = 0;
        }
        
        var edwin = box_LocalMgr.edwin_get();
        box_LocalMgr.edwin_set(edwin);
        box_LocalMgr.Reset(place, size, align, zIndex);
        btn_USBEnable.Check(pWndCtrl.IsVisible());
   }
}
OnPortableDeviceWndVisibleChanged=SKIN_OnWndVisibleChanged;
